Summary: A Tk toolkit extension, including widgets, geometry managers, etc.
Name: blt
Version: 2.4i
Release: 9mdk
Copyright: MIT
Group: System/Libraries
Obsoletes: blt-devel
Source0: ftp://ftp.tcltk.org/pub/blt/BLT2.4i.tar.bz2
Patch0: blt-2.4f-prefix.patch.bz2
Buildroot: /var/tmp/blt-root

%description
BLT is an extension to the Tk toolkit.  BLT's most useful feature is the
provision of more widgets for Tk, but it also provides more geometry
managers and miscellaneous other commands.  Note that you won't need to
do any patching of the Tcl or Tk source files to use BLT, but you
will need to have Tcl/Tk installed in order to use BLT.

If you are programming with the Tk toolkit, you should install BLT.
You will need to have Tcl/Tk installed.

%prep
%setup -q -n blt%{version}
%patch -b .prefix -p1

%build
libtoolize --copy --force
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,sbin}
make exec_prefix=$RPM_BUILD_ROOT/usr prefix=$RPM_BUILD_ROOT/usr \
  scriptdir=$RPM_BUILD_ROOT/usr/lib/blt2.4 bare_prefix=/usr install
ln -sf libBLT24.so libBLT.so.2.4
ln -sf libBLT.so.2.4 $RPM_BUILD_ROOT/usr/lib/libBLT.so
ln -sf bltwish24 $RPM_BUILD_ROOT/usr/bin/bltwish2.4
strip $RPM_BUILD_ROOT/usr/bin/* || :

cd $RPM_BUILD_ROOT/usr/lib/blt2.4/demos/
perl -p -i -e 's|local/bin/tclsh|bin/tclsh|' *

bzip2 -9f $RPM_BUILD_ROOT/usr/man/*/*

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README html
/usr/bin/bltwish*
/usr/lib/libBLT*
/usr/lib/blt2.4
/usr/include/blt.h
/usr/man/mann/BLT.n.bz2
/usr/man/mann/barchart.n.bz2
/usr/man/mann/bgexec.n.bz2
# bitmap.n is in tcl as well
#/usr/man/mann/bitmap.n.bz2
/usr/man/mann/bltdebug.n.bz2
/usr/man/mann/busy.n.bz2
/usr/man/mann/dragdrop.n.bz2
/usr/man/mann/eps.n.bz2
/usr/man/mann/graph.n.bz2
/usr/man/mann/htext.n.bz2
/usr/man/mann/hierbox.n.bz2
/usr/man/mann/spline.n.bz2
/usr/man/mann/stripchart.n.bz2
/usr/man/mann/table.n.bz2
# tabset.n is in itcl as well
#/usr/man/mann/tabset.n.bz2
/usr/man/mann/tile.n.bz2
/usr/man/mann/vector.n.bz2
# watch.n is in itcl as well
#/usr/man/mann/watch.n.bz2
/usr/man/mann/winop.n.bz2
/usr/man/mann/beep.n.bz2
/usr/man/mann/cutbuffer.n.bz2

%changelog
* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.4i-9mdk
- fixed group

* Wed Dec  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build Release.

* Mon Jul 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- s|local/bin/tclsh|bin/tclsh|

* Sat Jul 17 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 2.4i
- set some compatibility links

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Fri Apr 16 1999 Bill Nottingham <notting@redhat.com>
- obsolete blt-devel

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Mar 11 1999 Bill Nottingham <notting@redhat.com>
- remove watch.n, tabset.n (conflicts with itcl)

* Wed Mar 10 1999 Bill Nottingham <notting@redhat.com>
- update to 2.4g
- buildrooted

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- stripped binaries
